/* eslint-env node */
// NOTE: This file is run pre build and creates `app.components.js`.
const { createComponentsFile } = require('@creuna/codegen');
const path = require('path');

const eslintConfig = require('../.eslintrc.json');

const disclaimers = [
  '// NOTE: Do not edit this file. It is built by running `/codegen/components.js`',
  '// NOTE: The imported/exported components are exposed to the global scope'
].join('\n');

const sourcePath = path.join(__dirname, '..', 'source');

createComponentsFile({
  fileHeader: disclaimers,
  fileName: 'app.components.js',
  outputPath: sourcePath,
  prettierOptions: eslintConfig.rules['prettier/prettier'][1],
  searchPath: path.join(sourcePath, 'components')
});
